#include "stdio.h"
#include "conio.h"
#include "stdlib.h"
#include <iostream>
#include <fstream>
using namespace std;


void main()
{
   int a,q,z,i,j,n,k,t; float *c;
	ifstream F;
	F.open("ladder.in",ios::in);
	F>>t;
	for(i=0;i<t;i++)
	{
		F>>n>>k;
		
		c=new float(n);
		for(j=0;j<n;j++)
		{
			F>>c[j];
			
		}
	

		z=0;a=0;j=0;
		while(j<=n)
		{
			for(q=k-1;q>=0;q--)
			{	
				if(j+q<n)
				{
					if(c[j+q]>z)
					{
					z=c[j+q];	
					a=j+q;
					j=j+q;
			
					}
				}
			}
			j++;

		}
		cout<<a+1<<endl;
	}



	F.close();
	getch();




}